
Redmine - Feature #7867

Add filters for "Author's group" and "Author's role" to issues list

2011-03-15 12:34 - Alex Belyaev

Status: Closed Start date: 2011-03-15

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

Is it  possible to add group of auther for filtering of tasks?

Related issues:

Related to Redmine - Defect #9132: Filtering by "Assignee's Group" doesn't sh... Closed 2011-08-26

Related to Redmine - Feature #1567: Make author column sortable and groupable Closed 2008-07-03

Related to Redmine - Defect #13006: Filter "Assignee's group" doesn't work wi... Closed

Related to Redmine - Feature #16195: Role with Issue visibility Permission as... New

Has duplicate Redmine - Feature #32321: Issue filter: new filter: Author's Group Closed

Associated revisions

Revision 22975 - 2024-08-21 09:47 - Go MAEDA

Add filters for "Author's group" and "Author's role" to issues list (#7867).

Patch by Takenori TAKAKI (user:takenory).

History

#1 - 2011-03-15 13:10 - knm user

- % Done changed from 0 to 20

#2 - 2011-03-15 13:25 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Please use http://demo.redmine.org for testing purposes.

#3 - 2011-03-15 13:27 - Etienne Massip

- Category set to Issues

- Status changed from Closed to Reopened

- Resolution deleted (Invalid)

Sorry, my bad.

#4 - 2011-11-22 00:00 - Mischa The Evil

- Status changed from Reopened to Closed

- % Done changed from 20 to 0

- Resolution set to Duplicate

Duplicate of #1567 (which is fixed with r7843 for Redmine 1.3.0).

#5 - 2013-01-08 16:33 - Fred Giusto

I think it's not closed.

Alex Belyaev asked to have "Author Group" in the add_filter_select field. We can filter with "Assignee group" but we can't filter with "Author Group".

So we can't have the list of issues created by members of a selected group.

Im with redmine 2.2
Maybe we can do this but I don't how to...

Sorry for my english

#6 - 2013-01-14 07:10 - Toshi MARUYAMA

Fred Giusto wrote:

Alex Belyaev asked to have "Author Group" in the add_filter_select field.

We can filter with "Assignee group" but we can't filter with "Author Group".

 Exactly.

But, "Author Group" "Assignee group" is implemented by #2964 r6306.

So we can't have the list of issues created by members of a selected group.

 Feel free to create a new issue.

#7 - 2013-01-14 07:31 - Toshi MARUYAMA

- Status changed from Closed to Reopened

- Resolution deleted (Duplicate)

Toshi MARUYAMA wrote:

Feel free to create a new issue.

 I reopen this issue.

#8 - 2013-01-14 07:35 - Toshi MARUYAMA

- Subject changed from Author group to Author group filtering

#9 - 2013-01-14 08:54 - Fred Giusto

OK Thanks. "Author group filtering" is the good title.

#10 - 2013-02-01 10:04 - Gurvan Le Dromaguet

+1

#11 - 2014-03-16 00:09 - Toshi MARUYAMA

- Related to Feature #16195: Role with Issue visibility Permission as "View Issues within current users' group" added

#12 - 2016-05-07 13:10 - Kri5 Talach

+1 could be very useful IMO

#13 - 2017-05-16 12:45 - Alexandr Krutin

Plugins Directory » Group Of Authors Filter

#14 - 2019-01-23 11:50 - Pritish Parmar

+1

#15 - 2019-10-22 09:34 - Go MAEDA

- Has duplicate Feature #32321: Issue filter: new filter: Author's Group added

#16 - 2019-11-01 15:42 - Taine Woo

+1

#17 - 2020-10-25 08:12 - Go MAEDA

- Category changed from Issues to Issues filter

#18 - 2024-01-19 09:33 - Musa Avcı
+1

#19 - 2024-02-09 03:24 - Takenori TAKAKI

- File add-author-group-filtering.patch added

+1

I made a patch to implement this feature

I attach a patch that can be tested with the latest trunk.

#20 - 2024-08-18 06:36 - Go MAEDA

- File 7867-v2.patch added

- Target version set to Candidate for next major release

I have updated the patch to use the association filter.

It can be achieved by just replacing add_available_filter("author_group", ...) with add_available_filter("author.group", ...).

In this way, you don't need to update app/helpers/queries_helper.rb and config/locales/*.yml and can slightly simplify the patch.

#21 - 2024-08-19 03:37 - Go MAEDA

- Status changed from Reopened to New

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#22 - 2024-08-21 09:48 - Go MAEDA

- Subject changed from Author group filtering to Add filters for "Author's group" and "Author's role" to issues list

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r22975. Thank you for your contribution.

Files

add-author-group-filtering.patch 8.46 KB 2024-02-09 Takenori TAKAKI

7867-v2.patch 6 KB 2024-08-18 Go MAEDA
